Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.custom
Class DefaultCustomSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.phase.custom.DefaultCustomSolverPhase

All Implemented Interfaces:
  EventListener, CustomSolverPhase, SolverPhaseLifecycleListener, SolverPhase

    public class DefaultCustomSolverPhase

extends AbstractSolverPhase
implements CustomSolverPhase

Default implementation of `CustomSolverPhase`.

Field Summary
`protected List<CustomSolverPhaseCommand>` | `customSolverPhaseCommandList`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultCustomSolverPhase()`

Method Summary
`void` | `phaseEnded(CustomSolverPhaseScope customSolverPhaseScope)`
`void` | `phaseStarted(CustomSolverPhaseScope customSolverPhaseScope)`
`void` | `setCustomSolverPhaseCommandList(List<CustomSolverPhaseCommand> customSolverPhaseCommandList)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `stepTaken(CustomStepScope customStepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, beforeDeciding, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setTermination, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Field Detail

### customSolverPhaseCommandList

    protected List<CustomSolverPhaseCommand> customSolverPhaseCommandList

Constructor Detail

### DefaultCustomSolverPhase

    public DefaultCustomSolverPhase()

Method Detail

### setCustomSolverPhaseCommandList

    public void setCustomSolverPhaseCommandList(List<CustomSolverPhaseCommand> customSolverPhaseCommandList)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### phaseStarted

    public void phaseStarted(CustomSolverPhaseScope customSolverPhaseScope)

### stepTaken

    public void stepTaken(CustomStepScope customStepScope)

### phaseEnded

    public void phaseEnded(CustomSolverPhaseScope customSolverPhaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.